Xsolla webhook (called by Xsolla only)
const url = 'https://api.gampeon.com/v1/payments/xsolla/webhook';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"notification_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/payments/xsolla/webhook \ --header 'Content-Type: application/json' \ --data '{ "notification_type": "example" }'Signed with Authorization: Signature <sha1(body + secret)>. Handles user_validation, order_paid (credits the GAMPEONS once) and order_canceled (takes them back like a chargeback). Payments that are not test payments are refused. Errors use Xsolla’s format { "error": { "code": "INVALID_SIGNATURE" | "INVALID_USER" | "INVALID_PARAMETER", "message": "…" } }. Only active in sandbox mode with provider: xsolla.
Request Bodyrequired
Section titled “Request Bodyrequired”object
E.g. user_validation, order_paid, order_canceled
Example generated
{ "notification_type": "example"}Responses
Section titled “Responses”Processed
Error codes: invalid_field, INVALID_USER, INVALID_PARAMETER
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: INVALID_SIGNATURE
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: body_too_large
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}